GROUPADD(8)

NOME
groupadd - Criar um novo grupo

SINOPSE
groupadd [-g gid [-o]] [-f] grupo

DESCRIÇÃO
O comando groupadd cria um novo grupo usando valores especificados na linha de comando e os valores padrões do sistema. O novo grupo será criado nos arquivos do sistema, conforme o requerido. As opções que aplicam-se ao comando groupadd são

-f  Este é o indicador force . Ele não irá parar o processamento do groupadd e não finalizará o programa, caso um grupo que esteja sendo criado já exista no sistema. Neste caso, o grupo não será alterado(ou adicionado novamente).

-g gid
    A identificação numérica do grupo é denominada ID. Este valor deve ser único, a menos que a opção -o seja usada. O valor deve ser não negativo, e o padrão é o menor valor maior que 500 e o maior que qualquer outro grupo. Valores entre 0 e 999 são tipicamente reservados para contas do sistema.

-r  Este indicador instrui groupadd a adicionar uma conta do sistema . A primeira identificação de grupo (gid) menor que 999 será automaticamente selecionada a menos que a opção -g seja informada também. Esta é uma informação disponibilizada pela Red Hat Software. Esta opção também modifica o modo como a opção -g funciona. Ao solicitar um gid que não seja único e ao não informar a opção -o, a criação do grupo , a criação terá o comportamento padrão (adicionando um grupo como se as opções -g ou -o não fossem especificadas).

ARQUIVOS
/etc/group - informações sobre o grupo
/etc/gshadow - informações seguras sobre o grupo

VEJA TAMBÉM
chfn(1), chsh(1), passwd(1), groupdel(8), groupmod(8), useradd(8), userdel(8), usermod(8)

AUTOR
Julianne Frances Haugh (jfh@tab.com)

TRADUÇÃO E REVISÃO PARA A LÍNGUA PORTUGUESA
Sandro Nunes Henrique <sandro@conectiva.com.br> (tradução) Rodrigo Stulzer Lopes <rodrigo@conectiva.com.br> (revisão)